module github.com/jobs-scraper/services/api

go 1.24.0

require (
	github.com/gorilla/mux v1.8.1
	github.com/jobs-scraper/internal/pkg/domain v0.0.0
	github.com/jobs-scraper/internal/pkg/infrastructure v0.0.0-00010101000000-000000000000
	github.com/jobs-scraper/internal/pkg/utils v0.0.0
	github.com/jobs-scraper/libs/ports v0.0.0
	github.com/jobs-scraper/libs/repo v0.0.0
	github.com/jobs-scraper/libs/server v0.0.0-00010101000000-000000000000
	github.com/joho/godotenv v1.5.1
	github.com/swaggo/http-swagger v1.3.4
	github.com/swaggo/swag v1.16.3
)

require (
	github.com/KyleBanks/depth v1.2.1 // indirect
	github.com/go-openapi/jsonpointer v0.19.5 // indirect
	github.com/go-openapi/jsonreference v0.20.0 // indirect
	github.com/go-openapi/spec v0.20.6 // indirect
	github.com/go-openapi/swag v0.19.15 // indirect
	github.com/golang-migrate/migrate/v4 v4.19.0 // indirect
	github.com/gorilla/schema v1.4.1 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/josharian/intern v1.0.0 // indirect
	github.com/kr/pretty v0.3.1 // indirect
	github.com/lib/pq v1.10.9 // indirect
	github.com/mailru/easyjson v0.7.6 // indirect
	github.com/rabbitmq/amqp091-go v1.10.0 // indirect
	github.com/rogpeppe/go-internal v1.13.1 // indirect
	github.com/swaggo/files v0.0.0-20220610200504-28940afbdbfe // indirect
	golang.org/x/net v0.44.0 // indirect
	golang.org/x/sync v0.17.0 // indirect
	golang.org/x/tools v0.36.0 // indirect
	gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
)

replace github.com/jobs-scraper/internal/pkg/domain => ../../internal/pkg/domain

replace github.com/jobs-scraper/internal/pkg/infrastructure => ../../internal/pkg/infrastructure

replace github.com/jobs-scraper/internal/pkg/utils => ../../internal/pkg/utils

replace github.com/jobs-scraper/libs/ports => ../../libs/ports

replace github.com/jobs-scraper/libs/repo => ../../libs/repo

replace github.com/jobs-scraper/libs/server => ../../libs/server
